net.minecraft.entity.ai

## Class EntityAIAvoidEntity

- java.lang.Object
- - net.minecraft.entity.ai.EntityAIBase
  - - net.minecraft.entity.ai.EntityAIAvoidEntity

-     public class EntityAIAvoidEntity
      extends EntityAIBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IEntitySelector` | `field_98218_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityAIAvoidEntity(EntityCreature par1EntityCreature, Class par2Class, float par3, float par4, float par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
    `void` | `resetTask()` Resets the task
    `boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
    `void` | `startExecuting()` Execute a one shot task or start executing a continuous task
    `void` | `updateTask()` Updates the task

    - ### Methods inherited from class net.minecraft.entity.ai.EntityAIBase

      `getMutexBits, isInterruptible, setMutexBits`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_98218_a

          public final IEntitySelector field_98218_a

  - ### Constructor Detail

    - #### EntityAIAvoidEntity

          public EntityAIAvoidEntity(EntityCreature par1EntityCreature,
                             Class par2Class,
                             float par3,
                             float par4,
                             float par5)

  - ### Method Detail

    - #### shouldExecute

          public boolean shouldExecute()

      Returns whether the EntityAIBase should begin execution.
      Specified by:
        `shouldExecute` in class `EntityAIBase`

    - #### continueExecuting

          public boolean continueExecuting()

      Returns whether an in-progress EntityAIBase should continue executing
      Overrides:
        `continueExecuting` in class `EntityAIBase`

    - #### startExecuting

          public void startExecuting()

      Execute a one shot task or start executing a continuous task
      Overrides:
        `startExecuting` in class `EntityAIBase`

    - #### resetTask

          public void resetTask()

      Resets the task
      Overrides:
        `resetTask` in class `EntityAIBase`

    - #### updateTask

          public void updateTask()

      Updates the task
      Overrides:
        `updateTask` in class `EntityAIBase`